curl --request PUT \
--url https://api.interchange.io/api/v2/storefront/billing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.interchange.io/api/v2/storefront/billing"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.interchange.io/api/v2/storefront/billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"billing": {
"onboardingStatus": "pending",
"platformFeePercent": 123,
"fees": [
{
"name": "<string>",
"feePercent": 50,
"description": "<string>"
}
],
"currency": "<string>",
"country": "<string>",
"defaultNetDays": 123,
"payoutDetails": {
"beneficiaryName": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"accountNumberLast4": "<string>",
"bankIdentifierType": "FEDWIRE_ABA",
"bankIdentifierValue": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
},
"inherited": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Update billing configuration (admin)
Update the Seller Account billing configuration (platform fee percent, additional fees, currency, default net days). Admin-only.
curl --request PUT \
--url https://api.interchange.io/api/v2/storefront/billing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.interchange.io/api/v2/storefront/billing"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.interchange.io/api/v2/storefront/billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"billing": {
"onboardingStatus": "pending",
"platformFeePercent": 123,
"fees": [
{
"name": "<string>",
"feePercent": 50,
"description": "<string>"
}
],
"currency": "<string>",
"country": "<string>",
"defaultNetDays": 123,
"payoutDetails": {
"beneficiaryName": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"accountNumberLast4": "<string>",
"bankIdentifierType": "FEDWIRE_ABA",
"bankIdentifierValue": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
},
"inherited": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Query Parameters
Direct child customer to read or update from an authorized parent billing organization
^[1-9][0-9]*$Body
Request body for updating Seller Account billing config. Seller Account billing setup is optional only for official Scope3 sales-adapter accounts on existing downstream platform settlement agreements. Third-party sales agents and Agent-supplied (finished-product) sources are normal Interchange-cleared Seller Account sources and still require payout bank details. Seller-cleared settlement is not yet configurable for normal Seller Accounts.
Platform fee percentage (0–100)
0 <= x <= 100Additional partner fees
Show child attributes
Show child attributes
ISO 4217 currency code
3^[A-Z]{3}$"USD"
Payment terms in days
0 <= x <= 9007199254740991Response
Update billing configuration (admin)
Seller Account billing configuration. Seller Account billing setup is optional only for official Scope3 sales-adapter accounts on existing downstream platform settlement agreements. Third-party sales agents and Agent-supplied (finished-product) sources are normal Interchange-cleared Seller Account sources and still require payout bank details. Seller-cleared settlement is not yet configurable for normal Seller Accounts.
Show child attributes
Show child attributes